﻿using System.Web.Security;
using System.Web.UI;

namespace VisualWiki.Models.Helpers
{
    public static class WebUIExtends
    {
        public static void UnlegalAccess(this MasterPage p)
        {
            FormsAuthentication.SignOut();
            p.Response.Redirect(FormsAuthentication.LoginUrl);
        }

        public static void UnlegalAccess(this Page p)
        {
            FormsAuthentication.SignOut();
            p.Response.Redirect(FormsAuthentication.LoginUrl);
        }

        public static string GetPageName(this MasterPage p)
        {
            string name = p.Request.AppRelativeCurrentExecutionFilePath;
            name = name.Substring(2, name.Length - 7);
            return name;
        }

        public static SysUser GetLoginUser(this MasterPage p)
        {
            return (SysUser)p.Session["LoginUser"];
        }

        public static SysUser GetLoginUser(this Page p)
        {
            return (SysUser)p.Session["LoginUser"];
        }

        public static void SetLoginUser(this MasterPage p, SysUser u)
        {
            p.Session["LoginUser"] = u;
        }

        public static void SetLoginUser(this Page p, SysUser u)
        {
            p.Session["LoginUser"] = u;
        }

        public static int? GetId(this Page p)
        {
            string sid = p.Request["Id"];
            int n;
            if (int.TryParse(sid, out n))
            {
                return n;
            }
            return null;
        }
    }
}
