﻿using Lephone.Data.Definition;
using Lephone.Linq;
using VisualWiki.Models.Helpers;

namespace VisualWiki.Models
{
    public enum UserRole
    {
        Administrator,
        User,
    }

    public abstract class SysUser : LinqObjectModel<SysUser>
    {
        [Length(1, 50), Index(UNIQUE = true)]
        public abstract string Name { get; set; }

        [Length(1, 128)]
        public abstract string Password { get; set; }

        public abstract UserRole Role { get; set; }

        public SysUser Init(string name, string password, UserRole role)
        {
            Name = name;
            Password = CommonHelper.GetHashedPassword(password);
            Role = role;
            return this;
        }

        public static SysUser GetUserForLogin(string name, string password)
        {
            var pass = CommonHelper.GetHashedPassword(password);
            var u = FindOne(p => p.Name == name);
            if (u != null && u.Password != pass)
            {
                return null;
            }
            return u;
        }
    }
}
