﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Wiki.master" %>

<script runat="server">
    [HttpParameter] public string title;
    
    protected void Page_Load(object sender, EventArgs e)
    {
        var article = Article.FindByTitle(title);
        if(article != null)
        {
            ArticleHistoryDataSource1.AddAndCondition(p => p.Article.Id == article.Id);
        }
        
        var hlf = (HyperLinkField) HistoryList.Columns[HistoryList.Columns.Count - 1];
        hlf.DataNavigateUrlFormatString = new UrlBuilder("~/Show.aspx").Add(Const.TitleName, title) + "&HistoryID={0}";
    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:GridView ID="HistoryList" runat="server" AllowPaging="True" 
        AutoGenerateColumns="False" BackColor="White" BorderColor="#E7E7FF" 
        BorderStyle="None" BorderWidth="1px" CellPadding="3" DataKeyNames="Id" 
        DataSourceID="ArticleHistoryDataSource1" GridLines="Horizontal" 
        EmptyDataText="Can't find any items.">
        <RowStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" />
        <Columns>
            <asp:BoundField DataField="CreatedOn" HeaderText="Created On" 
                SortExpression="CreatedOn" />
            <asp:HyperLinkField Text="Show" DataNavigateUrlFields="Id" 
                DataNavigateUrlFormatString="~/Show.aspx?HistoryID={0}" >
            </asp:HyperLinkField>
        </Columns>
        <FooterStyle BackColor="#B5C7DE" ForeColor="#4A3C8C" />
        <PagerStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" HorizontalAlign="Right" />
        <SelectedRowStyle BackColor="#738A9C" Font-Bold="True" ForeColor="#F7F7F7" />
        <HeaderStyle BackColor="#4A3C8C" Font-Bold="True" ForeColor="#F7F7F7" />
        <AlternatingRowStyle BackColor="#F7F7F7" />
    </asp:GridView>
    
    <biz:ArticleHistoryDataSource ID="ArticleHistoryDataSource1" runat="server" DefaultOrderBy="CreatedOn DESC, Id DESC" />
</asp:Content>
