﻿<%@ Page Language="C#" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<script runat="server">
    protected void Page_Load(object sender, EventArgs e)
    {
        ErrMsg.Visible = false;
        if (!IsPostBack)
        {
            SysUser u = this.GetLoginUser();
            if (u != null)
            {
                this.SetLoginUser(null);
            }
            FormsAuthentication.SignOut();
        }
    }

    protected void SignIn_Click(object sender, EventArgs e)
    {
        ProcessLogin(UserName.Text, Password.Text);
    }
    
    private void ProcessLogin(string name, string password)
    {
        SysUser u = SysUser.GetUserForLogin(name, password);
        if (u != null)
        {
            this.SetLoginUser(u);
            var url = Request[Const.BackToUrl];
            if(!string.IsNullOrEmpty(url))
            {
                Response.Redirect(url);
            }
            else
            {
                Response.Redirect("Default.aspx");
            }
        }
        else
        {
            ErrMsg.Text = "User name or password error!";
            ErrMsg.Visible = true;
        }
    }
</script>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Login - VisualWiki</title>
<style type="text/css">
html, form
{
    width: 100%;
    height: 100%;
    padding: 0px;
    margin: 0px;
    overflow: hidden;
}
body
{
	font-family: Arial,Tahoma,Microsoft Sans Serif, Tunga, sans-serif;
	font-size: 14px;
    background-color: Gray;
}
.title
{
	text-align: right;
	font-weight: bold;
}
.inputbox
{
	text-align: left;
}
.ErrMsg
{
    color: red;
	font-weight: bold;
}
#center
{
    height:0px;
    width:0px;
    top:50%;
    left:50%;
    position:absolute;
}
#mainPanel
{
	background: url(images/bg.jpg) no-repeat;
    text-align: center;
    position:absolute;
    margin-top: -136px;
    margin-left: -240px;
    width:480px;
    height: 272px;
    background-color:#f2f8ff;
    border:solid 1px #ccccff;
}
    </style>
    <script type="text/jscript">
    function OnLoad()
    {
        var c = document.getElementById("UserName");
        c.focus();
        c.select();
    }
    </script>
</head>
<body onload="javascript:OnLoad()">
    <form id="form1" runat="server">
        <div id="center">
        <div id="mainPanel">
            <table border="0" style="margin-left:200px; margin-right:auto; margin-top:140px">
                <tr><td class="title">Name:</td><td class="inputbox"><asp:TextBox ID="UserName" runat="server" /></td></tr>
                <tr><td class="title">Password:</td><td class="inputbox"><asp:TextBox ID="Password" runat="server" TextMode="Password" /></td></tr>
                <tr><td colspan="2" align="center"><asp:Button ID="SignIn" runat="server" Text=" Login " OnClick="SignIn_Click" /></td></tr>
                <tr><td colspan="2"><asp:Label ID="ErrMsg" runat="server" Visible="false" CssClass="ErrMsg" /></td></tr>
            </table>
        </div>
        </div>
    </form>
</body>
</html>
