﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Wiki.master" %>

<script runat="server">
    [HttpParameter(AllowEmpty = true)] public long? HistoryID;
    [HttpParameter] public string title;
    [HttpParameter(AllowEmpty = true)] public string path;

    protected void Page_Load(object sender, EventArgs e)
    {
        if (HistoryID == null)
        {
            var article = Article.FindByTitle(title);
            if (article != null && article.Title != Const.HomeName)
            {
                if (string.IsNullOrEmpty(path))
                {
                    path = article.Id.ToString();
                }
                else
                {
                    path += "_" + article.Id;
                }
            }
            ContextHolder.Text
                = article != null
                ? CommonHelper.GenerateShowText(article.Content, path)
                : "The wiki page does not exist.  The page will be created the first time you edit it. ";
        }
        else
        {
            var h = ArticleHistory.FindById(HistoryID.Value);
            if(h != null)
            {
                ContextHolder.Text = CommonHelper.GenerateShowText(h.Content, null);
            }
        }
    }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="ContentPlaceHolder1" Runat="Server">
    <asp:Label ID="ContextHolder" runat="server" Text=""></asp:Label>
</asp:Content>
